## libkf5kgeomap 16.04.0

=== debian/changelog ===
libkf5kgeomap (16.04.0-2) unstable; urgency=medium

  * Bump marble build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 06 Jun 2016 21:06:44 +0200

libkf5kgeomap (16.04.0-1) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Refresh patches

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Mon, 30 May 2016 10:41:47 +0200

libkf5kgeomap (15.12.0-1) experimental; urgency=medium

  * Initial release (15.04.0).
  * New patch: test_data_dir.patch
  * New patch: use_local_openlayers
  * New upstream release (15.08.0).
  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:31 +0100

## libkf5kgeomap 16.08.0

=== src/CMakeLists.txt ===
#
# Copyright (c) 2010-2014, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

include(CheckIncludeFile)
CHECK_INCLUDE_FILE("valgrind/valgrind.h" HAVE_VALGRIND)
if(${HAVE_VALGRIND})
    add_definitions(-DKGEOMAP_HAVE_VALGRIND)
endif()

add_subdirectory(backends)

set(widget_LIB_SRCS abstractmarkertiler.cpp
                    dragdrophandler.cpp
                    geocoordinates.cpp
                    groupstatecomputer.cpp
                    itemmarkertiler.cpp
                    kgeomap_common.cpp
                    libkgeomap_debug.cpp
                    lookupaltitude.cpp
                    lookupaltitudegeonames.cpp
                    lookupfactory.cpp
                    mapwidget.cpp
                    modelhelper.cpp
                    placeholderwidget.cpp
                    tilegrouper.cpp
                    tileindex.cpp
                    trackreader.cpp
                    tracks.cpp
)

ecm_generate_headers(kgeomap_CamelCase_HEADERS

                     HEADER_NAMES
                     AbstractMarkerTiler
                     DragDropHandler
                     GeoCoordinates
                     GroupState
                     GroupStateComputer
                     ItemMarkerTiler
                     MapWidget
                     ModelHelper
                     LookupAltitude
                     LookupFactory
                     TileIndex
                     Tracks
                     TrackReader
                     Types

                     PREFIX           KGeoMap
                     REQUIRED_HEADERS kgeomap_HEADERS
)

add_library(KF5KGeoMap SHARED ${widget_LIB_SRCS})

add_library(KF5::KGeoMap ALIAS KF5KGeoMap)

generate_export_header(KF5KGeoMap BASE_NAME libkgeomap EXPORT_MACRO_NAME KGEOMAP_EXPORT)

target_include_directories(KF5KGeoMap INTERFACE
                           "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/KGeoMap;${KF5_INCLUDE_INSTALL_DIR}/KGeoMap/kgeomap>"
                           "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/..>"
)

target_include_directories(KF5KGeoMap PUBLIC "$<BUILD_INTERFACE:${libkgeomap_SOURCE_DIR}/src;${libkgeomap_BINARY_DIR}/src>")

target_link_libraries(KF5KGeoMap
    PUBLIC
        ${MARBLE_LIBRARIES}

        Qt5::Core
        Qt5::Gui
        Qt5::Xml
        Qt5::Widgets
    PRIVATE
        mapbackends

        KF5::I18n
        KF5::ConfigCore
        KF5::KIOCore

        Qt5::Concurrent
)

set_target_properties(KF5KGeoMap  PROPERTIES
                      VERSION     ${KGEOMAP_VERSION_STRING}
                      SOVERSION   ${KGEOMAP_SOVERSION}
                      EXPORT_NAME KGeoMap
)

install(TARGETS KF5KGeoMap
        EXPORT  KF5KGeoMapTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}
)

# Check if compilation is done through digiKam SC or not. If yes, do not install header files.
if (NOT DIGIKAMSC_COMPILE_LIBKGEOMAP)

    install(FILES       ${kgeomap_CamelCase_HEADERS}
            DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KGeoMap/KGeoMap
            COMPONENT   Devel
    )

    install(FILES       ${kgeomap_HEADERS}
            DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KGeoMap/kgeomap
            COMPONENT   Devel
    )

    install(FILES       ${CMAKE_CURRENT_BINARY_DIR}/libkgeomap_export.h
            DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KGeoMap/kgeomap
            COMPONENT   Devel
    )

    install(FILES       "${CMAKE_BINARY_DIR}/libkgeomap_version.h"
            DESTINATION "${KF5_INCLUDE_INSTALL_DIR}"
            COMPONENT   Devel
    )

endif()

=== src/backends/CMakeLists.txt ===

add_definitions(-DKGEOMAP_MARBLE_ADD_LAYER)
set(backend_map_marble_LIB_SRCS
    backendmarble.cpp
    backendmarblelayer.cpp
)

set(backend_map_googlemaps_LIB_SRCS
    backendgooglemaps.cpp
)

set(backend_map_osm_LIB_SRCS
    #backend_map_osm.cpp
)

add_library(mapbackends STATIC
    mapbackend.cpp
    htmlwidget.cpp
    ${backend_map_marble_LIB_SRCS}
    ${backend_map_googlemaps_LIB_SRCS}
    ${backend_map_osm_LIB_SRCS}
)

target_link_libraries(mapbackends
    PRIVATE
        KF5::ConfigCore
        KF5::I18n

        Qt5::Core
        Qt5::Gui # TBD: Remove Qt5::Gui after Marble is fixed to export it as public link library
        Qt5::Widgets
        Qt5::WebKitWidgets
)

=== debian/changelog ===
libkf5kgeomap (16.08.0-1) unstable; urgency=medium

  * New upstream release (16.08.0)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 00:14:33 +0200

=== debian/control ===
Source: libkf5kgeomap
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.1.0~),
               kio-dev (>= 5.0.0~),
               libkf5config-dev (>= 5.0.0~),
               libkf5i18n-dev (>= 5.0.0~),
               libkf5textwidgets-dev (>= 5.0.0~),
               libmarble-dev (>= 4:16),
               libqt5webkit5-dev (>= 5.2.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.2.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/kdegraphics/libs/libkgeomap
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkgeomap.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkgeomap.git

Package: libkf5kgeomap10.0.0
Architecture: any
Depends: libkf5kgeomap-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: World-Map Library interface for KDE - shared library
 Libkgeomap is a wrapper around different world-map components, to browse and
 arrange photos over a map.
 .
 This package contains the shared library.

Package: libkf5kgeomap-data
Architecture: all
Depends: libjs-openlayers, ${misc:Depends}
Description: World-Map Library interface for KDE - data files
 Libkgeomap is a wrapper around different world-map components, to browse and
 arrange photos over a map.
 .
 This package contains the data files.

Package: libkf5kgeomap-dev
Section: libdevel
Architecture: any
Depends: libkf5kgeomap10.0.0 (= ${binary:Version}),
         qtbase5-dev (>= 5.2.0~),
         ${misc:Depends}
Description: World-Map Library interface for KDE - development files
 Libkgeomap is a wrapper around different world-map components, to browse and
 arrange photos over a map.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_test:
	# Disable unit test at build time
	:

## libkf5kgeomap 16.12.3

=== debian/changelog ===
libkf5kgeomap (16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:29:55 +0000

libkf5kgeomap (16.12.1-0ubuntu2) zesty; urgency=medium

  * Temporarily disable acc autopkgtest. Fails only due to bug in gcc-6
    (>= 6.3.0-3).

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 31 Jan 2017 17:08:42 +0000

libkf5kgeomap (16.12.1-0ubuntu1) zesty; urgency=medium

  [ Philip Muškovac ]
  * New upstream release (16.04.3)

  [ Clive Johnston ]
  * Bump build deps
  * Add build dep on libkf5kexiv2-dev
  * Fix VCS fields, LP doesn't use .git

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:23:50 +0000

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,21 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.1.0~),
-               kio-dev (>= 5.0.0~),
-               libkf5config-dev (>= 5.0.0~),
-               libkf5i18n-dev (>= 5.0.0~),
-               libkf5textwidgets-dev (>= 5.0.0~),
-               libmarble-dev (>= 4:16),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5config-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5kexiv2-dev (>= 16.12.3~),
+               libkf5kio-dev (>= 5.31.0~),
+               libkf5textwidgets-dev (>= 5.31.0~),
+               libmarble-dev (>= 4:16.12.3~),
                libqt5webkit5-dev (>= 5.2.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.2.0~)
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/kdegraphics/libs/libkgeomap
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkgeomap.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkgeomap.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkgeomap
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkgeomap
 
 Package: libkf5kgeomap10.0.0
 Architecture: any
@@ -44,7 +45,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5kgeomap10.0.0 (= ${binary:Version}),
-         qtbase5-dev (>= 5.2.0~),
+         qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}
 Description: World-Map Library interface for KDE - development files
  Libkgeomap is a wrapper around different world-map components, to browse and

## libkf5kgeomap 17.04.3

=== debian/changelog ===
libkf5kgeomap (17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:34:16 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                extra-cmake-modules (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5kexiv2-dev (>= 16.12.3~),
+               libkf5kexiv2-dev (>= 17.04.3~),
                libkf5kio-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
-               libmarble-dev (>= 4:16.12.3~),
+               libmarble-dev (>= 4:17.04.3~),
                libqt5webkit5-dev (>= 5.2.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
@@ -35,6 +35,8 @@
 Package: libkf5kgeomap-data
 Architecture: all
 Depends: libjs-openlayers, ${misc:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
 Description: World-Map Library interface for KDE - data files
  Libkgeomap is a wrapper around different world-map components, to browse and
  arrange photos over a map.

## libkf5kgeomap 17.08.3

=== demo/CMakeLists.txt ===
#
# Copyright (c) 2010-2014, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

macro(DETECT_LIBKEXIV2 MIN_VERSION)

    if (NOT DIGIKAMSC_COMPILE_LIBKEXIV2)

        message(STATUS "libkexiv2 : search system based library")
        find_package(KF5KExiv2 ${MIN_VERSION})

        if(KF5KExiv2_FOUND)
            set(KF5KExiv2_LIBRARIES KF5::KExiv2)
        else()
            set(KF5KExiv2_FOUND FALSE)
        endif()

    else()

        message(STATUS "libkexiv2 : use local library from ${CMAKE_SOURCE_DIR}/extra/libkexiv2/")
        find_file(KF5KExiv2_FOUND CMakeLists.txt PATHS ${CMAKE_SOURCE_DIR}/extra/libkexiv2/)

        if(NOT KF5KExiv2_FOUND)
            message(ERROR "libkexiv2 : local library not found")
        endif()

        set(KF5KExiv2_INCLUDE_DIRS ${CMAKE_SOURCE_DIR}/extra/libkexiv2/src ${CMAKE_BINARY_DIR}/extra/libkexiv2/src ${CMAKE_BINARY_DIR}/extra/libkexiv2)
        set(KF5KExiv2_LIBRARIES KF5KExiv2)

    endif()

    message(STATUS "libkexiv2 found       : ${KF5KExiv2_FOUND}")
    message(STATUS "libkexiv2 include dir : ${KF5KExiv2_INCLUDE_DIRS}")
    message(STATUS "libkexiv2 library     : ${KF5KExiv2_LIBRARIES}")

endmacro()

DETECT_LIBKEXIV2("5.0.0")

if(KF5KExiv2_FOUND)

    message(STATUS "KExiv2 shared lib found, the demo application will be compiled.")

    include_directories(BEFORE ${CMAKE_CURRENT_SOURCE_DIR}/../ ${CMAKE_CURRENT_BINARY_DIR}/../)
    include_directories(${KF5KExiv2_INCLUDE_DIRS})

    set(demo_SRCS
        demo-main.cpp
        myimageitem.cpp
        mytreewidget.cpp
        dragdrophandler.cpp
        mainwindow.cpp
        ../src/kgeomap_common.cpp
        ../src/libkgeomap_debug.cpp
        ../src/backends/mapbackend.cpp
    )

    add_executable(libkgeomap_demo ${demo_SRCS})

    target_link_libraries(libkgeomap_demo
        KF5KGeoMap
        ${KF5KExiv2_LIBRARIES}

        Qt5::Gui
        Qt5::Concurrent

        KF5::ConfigCore
        KF5::CoreAddons
        KF5::I18n
    )

    install(TARGETS libkgeomap_demo ${INSTALL_TARGETS_DEFAULT_ARGS})

else()

    message(STATUS "KExiv2 shared lib NOT found, the demo application will NOT be compiled.")

endif()

=== debian/changelog ===
libkf5kgeomap (17.08.3-1+rb1) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 19 Jan 2021 14:23:21 +0800

libkf5kgeomap (17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Bump Standards-Version to 4.1.2, no changes required.
  * Simplify watch file, and switch it to https.
  * Fix symlink to locally installed OpenLayers.js. (Closes: #857405)
  * Remove the unused libkf5textwidgets-dev build dependency.
  * Bump the libmarble-dev build & runtime dependencies to >= 4:17.08~,
    to make sure to build with the last version of it.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Dec 2017 10:01:21 +0100

libkf5kgeomap (17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Add breaks/replaces against the kde-l10n packages
  * Bump kde-l10n breaks/replaces versions
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 18 Sep 2017 15:06:37 +0200

libkf5kgeomap (17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:04:45 +0000

libkf5kgeomap (17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:44:53 +0000

libkf5kgeomap (17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:25:18 +0000

libkf5kgeomap (17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:24:28 +0000

libkf5kgeomap (17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:27:30 +0000

libkf5kgeomap (17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Apr 2017 09:37:24 +0000

libkf5kgeomap (16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:51:02 +0000

libkf5kgeomap (16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:03:49 +0000

libkf5kgeomap (16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:26:01 +0000

libkf5kgeomap (16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:32:00 +0000

libkf5kgeomap (16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:54:43 +0000

libkf5kgeomap (16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:41:25 +0000

libkf5kgeomap (16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:08:16 +0000

libkf5kgeomap (16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:50:29 +0000

libkf5kgeomap (16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:36:54 +0000

libkf5kgeomap (16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2016 11:36:38 +0000

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-7~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	# Disable unit test at build time
	:

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/applications/([\d.]+)/src/libkgeomap-([\d.]+)\.tar\.xz

## libkf5kgeomap 17.12.3

=== data/CMakeLists.txt ===
#
# Copyright (c) 2010-2014, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

install(FILES backend-osm.html
              backend-osm-js.js
              backend-googlemaps.html
              backend-googlemaps-js.js
              cluster-circle-00ff00.png
              cluster-circle-00ffff.png
              cluster-circle-ff0000.png
              cluster-circle-ff7f00.png
              cluster-circle-ffff00.png
              cluster-circle-00ff00-someselected.png
              cluster-circle-00ffff-someselected.png
              cluster-circle-ff0000-someselected.png
              cluster-circle-ff7f00-someselected.png
              cluster-circle-ffff00-someselected.png
              cluster-circle-00ff00-selected.png
              cluster-circle-00ffff-selected.png
              cluster-circle-ff0000-selected.png
              cluster-circle-ff7f00-selected.png
              cluster-circle-ffff00-selected.png
              marker-00ff00.png
              marker-00ffff.png
              marker-ff0000.png
              marker-ff7f00.png
              marker-ffff00.png
              marker-00ff00-someselected.png
              marker-00ffff-someselected.png
              marker-ff0000-someselected.png
              marker-ff7f00-someselected.png
              marker-ffff00-someselected.png
              marker-00ff00-selected.png
              marker-00ffff-selected.png
              marker-ff0000-selected.png
              marker-ff7f00-selected.png
              marker-ffff00-selected.png
              marker-icon-16x16.png
        DESTINATION ${DATA_INSTALL_DIR}/libkgeomap/
)

=== debian/changelog ===
libkf5kgeomap (17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:32:51 +0000

libkf5kgeomap (17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 17:02:31 +0000

libkf5kgeomap (17.08.3-0ubuntu1) bionic; urgency=medium

  * Add lintian overrides for privacy-breach-generic - this package
    is intended to fetch external data at runtime
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:12:23 +0000

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,10 @@
                extra-cmake-modules (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5kexiv2-dev (>= 17.04.3~),
+               libkf5kexiv2-dev (>= 17.12.3~),
                libkf5kio-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
-               libmarble-dev (>= 4:17.04.3~),
+               libmarble-dev (>= 4:17.12.3~),
                libqt5webkit5-dev (>= 5.2.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	# Disable unit test at build time
	:

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         dbus-x11, xvfb, xauth
Restrictions: build-needed
#
#Tests: acc
#Depends: @, dh-acc, exuberant-ctags
#Restrictions: allow-stderr

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/libkgeomap-([\d.]+).tar.xz

## libkf5kgeomap 18.04.3

=== debian/changelog ===
libkf5kgeomap (18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:22:51 +0100

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
                extra-cmake-modules (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5kexiv2-dev (>= 17.12.3~),
+               libkf5kexiv2-dev (>= 18.04.3~),
                libkf5kio-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
-               libmarble-dev (>= 4:17.12.3~),
+               libmarble-dev (>= 4:18.04.3~),
                libqt5webkit5-dev (>= 5.2.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/kdegraphics/libs/libkgeomap
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkgeomap
@@ -48,7 +48,7 @@
 Architecture: any
 Depends: libkf5kgeomap10.0.0 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: World-Map Library interface for KDE - development files
  Libkgeomap is a wrapper around different world-map components, to browse and
  arrange photos over a map.

## libkf5kgeomap 18.12.3

=== debian/changelog ===
libkf5kgeomap (18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:34:41 +0000

libkf5kgeomap (18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:21:41 +0000

libkf5kgeomap (18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:15:11 +0000

libkf5kgeomap (18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New build depend on QtWebEngine on supported arches.
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:53:28 +0000

libkf5kgeomap (18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Keep our lintian-overrides.
    - Bumped build and runtime deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 17 Dec 2018 21:04:08 +0000

=== debian/control ===
Source: libkf5kgeomap
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5kexiv2-dev (>= 18.12.3~),
               libkf5kio-dev (>= 5.31.0~),
               libmarble-dev (>= 4:18.12.3~),
               libqt5webkit5-dev (>= 5.2.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.6.1~),
               qtwebengine5-dev [amd64 arm64 armhf i386],
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/kde/kdegraphics/libs/libkgeomap
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkgeomap
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkgeomap

Package: libkf5kgeomap-data
Architecture: all
Depends: libjs-openlayers, ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: World-Map Library interface for KDE - data files
 Libkgeomap is a wrapper around different world-map components, to browse and
 arrange photos over a map.
 .
 This package contains the data files.

Package: libkf5kgeomap-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev,
         libkf5i18n-dev,
         libkf5kgeomap10.0.0 (= ${binary:Version}),
         libmarble-dev (>= 4:18.12.3~),
         libqt5webkit5-dev,
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
Description: World-Map Library interface for KDE - development files
 Libkgeomap is a wrapper around different world-map components, to browse and
 arrange photos over a map.
 .
 This package contains the development files.

Package: libkf5kgeomap10.0.0
Architecture: any
Depends: libkf5kgeomap-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: World-Map Library interface for KDE - shared library
 Libkgeomap is a wrapper around different world-map components, to browse and
 arrange photos over a map.
 .
 This package contains the shared library.

## libkf5kgeomap 19.04.3

=== debian/changelog ===
libkf5kgeomap (19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:20:20 +0100

libkf5kgeomap (19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:14:53 +0100

libkf5kgeomap (19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 21:03:51 +0100

libkf5kgeomap (19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 24 Apr 2019 22:10:21 +0100

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                extra-cmake-modules (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5kexiv2-dev (>= 18.12.3~),
+               libkf5kexiv2-dev (>= 19.04.3~),
                libkf5kio-dev (>= 5.31.0~),
-               libmarble-dev (>= 4:18.12.3~),
+               libmarble-dev (>= 4:19.04.3~),
                libqt5webkit5-dev (>= 5.2.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
@@ -38,7 +38,7 @@
 Depends: libkf5config-dev,
          libkf5i18n-dev,
          libkf5kgeomap10.0.0 (= ${binary:Version}),
-         libmarble-dev (>= 4:18.12.3~),
+         libmarble-dev (>= 4:19.04.3~),
          libqt5webkit5-dev,
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},

## libkf5kgeomap 19.08.1

=== debian/changelog ===
libkf5kgeomap (19.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.0.0
    - bump the Qt5 packages to 5.7.0
    - bump the KF5 packages to 5.18.0
    - explicitly add gettext
  * Drop the libkf5kexiv2-dev build dependency, as it is used only to build
    demo application (which is not installed)
    - drop debian/not-installed
  * Enable the test suite at build time, as it seems to work.
  * Add Multi-Arch annotations.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Sep 2019 12:07:38 +0200

=== debian/control ===
Source: libkf5kgeomap
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.18.0~),
               gettext,
               libkf5config-dev (>= 5.18.0~),
               libkf5i18n-dev (>= 5.18.0~),
               libkf5kio-dev (>= 5.18.0~),
               libmarble-dev (>= 4:17.08~),
               libqt5webkit5-dev (>= 5.7.0~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.4.0
Homepage: https://projects.kde.org/projects/kde/kdegraphics/libs/libkgeomap
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkgeomap
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkgeomap.git

Package: libkf5kgeomap-data
Architecture: all
Multi-Arch: foreign
Depends: libjs-openlayers, ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: World-Map Library interface for KDE - data files
 Libkgeomap is a wrapper around different world-map components, to browse and
 arrange photos over a map.
 .
 This package contains the data files.

Package: libkf5kgeomap-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.0.0~),
         libkf5i18n-dev (>= 5.0.0~),
         libkf5kgeomap10.0.0 (= ${binary:Version}),
         libmarble-dev (>= 4:17.08~),
         libqt5webkit5-dev (>= 5.2.0~),
         qtbase5-dev (>= 5.2.0~),
         ${misc:Depends},
Description: World-Map Library interface for KDE - development files
 Libkgeomap is a wrapper around different world-map components, to browse and
 arrange photos over a map.
 .
 This package contains the development files.

Package: libkf5kgeomap10.0.0
Architecture: any
Multi-Arch: same
Depends: libkf5kgeomap-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: World-Map Library interface for KDE - shared library
 Libkgeomap is a wrapper around different world-map components, to browse and
 arrange photos over a map.
 .
 This package contains the shared library.

## libkf5kgeomap 19.12.3

=== debian/changelog ===
libkf5kgeomap (19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:17:04 +0000

libkf5kgeomap (19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:26:09 +0000

libkf5kgeomap (19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 15:00:29 +0000

libkf5kgeomap (19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:54:09 +0000

libkf5kgeomap (19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.2)
  * New upstream release (19.08.3)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:38:45 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libkf5config-dev (>= 5.18.0~),
                libkf5i18n-dev (>= 5.18.0~),
                libkf5kio-dev (>= 5.18.0~),
-               libmarble-dev (>= 4:17.08~),
+               libmarble-dev (>= 4:19.12.3~),
                libqt5webkit5-dev (>= 5.7.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
@@ -38,7 +38,7 @@
 Depends: libkf5config-dev (>= 5.0.0~),
          libkf5i18n-dev (>= 5.0.0~),
          libkf5kgeomap10.0.0 (= ${binary:Version}),
-         libmarble-dev (>= 4:17.08~),
+         libmarble-dev (>= 4:19.12.3~),
          libqt5webkit5-dev (>= 5.2.0~),
          qtbase5-dev (>= 5.2.0~),
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-7~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/release-service/([\d.]+)/src/libkgeomap-([\d.]+)\.tar\.xz

## libkf5kgeomap 20.04.3

=== debian/changelog ===
libkf5kgeomap (20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.
  * Update lintian overrides.
  * Small touches to copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Aug 2020 17:39:01 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0.0~),
-               debhelper (>= 11~),
+               debhelper-compat (= 12),
                extra-cmake-modules (>= 5.18.0~),
                gettext,
                libkf5config-dev (>= 5.18.0~),
                libkf5i18n-dev (>= 5.18.0~),
                libkf5kio-dev (>= 5.18.0~),
-               libmarble-dev (>= 4:19.12.3~),
+               libmarble-dev (>= 4:17.08~),
                libqt5webkit5-dev (>= 5.7.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.7.0~),
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://projects.kde.org/projects/kde/kdegraphics/libs/libkgeomap
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libkgeomap
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libkgeomap.git
@@ -38,7 +39,7 @@
 Depends: libkf5config-dev (>= 5.0.0~),
          libkf5i18n-dev (>= 5.0.0~),
          libkf5kgeomap10.0.0 (= ${binary:Version}),
-         libmarble-dev (>= 4:19.12.3~),
+         libmarble-dev (>= 4:17.08~),
          libqt5webkit5-dev (>= 5.2.0~),
          qtbase5-dev (>= 5.2.0~),
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-7~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5

override_dh_gencontrol-indep: l10npkgs_firstversion_ok
	dh_gencontrol -i

## libkf5kgeomap 20.08.1

=== debian/changelog ===
libkf5kgeomap (20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:01:23 +0100

libkf5kgeomap (20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:52:58 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libkf5config-dev (>= 5.18.0~),
                libkf5i18n-dev (>= 5.18.0~),
                libkf5kio-dev (>= 5.18.0~),
-               libmarble-dev (>= 4:17.08~),
+               libmarble-dev (>= 4:20.08.1~),
                libqt5webkit5-dev (>= 5.7.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
@@ -39,7 +39,7 @@
 Depends: libkf5config-dev (>= 5.0.0~),
          libkf5i18n-dev (>= 5.0.0~),
          libkf5kgeomap10.0.0 (= ${binary:Version}),
-         libmarble-dev (>= 4:17.08~),
+         libmarble-dev (>= 4:20.08.1~),
          libqt5webkit5-dev (>= 5.2.0~),
          qtbase5-dev (>= 5.2.0~),
          ${misc:Depends},
